package com.diagbot.vo;

import java.util.List;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;

import org.hibernate.validator.constraints.Range;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2019-03
 */
@Getter
@Setter
public class AddConceptInfoVO {
	
	/**
     * 概念id,当不为空时，即编辑操作
     */
	@ApiModelProperty(value="概念id")
    private Long conceptId;
	
	/**
     * 标准术语名称 提示使用
     */
	@ApiModelProperty(value="标准术语名称",required=true)
	@NotBlank(message="标准术语名称必传")
    private String name;
    
    /**
     * 术语类型
     */
	@ApiModelProperty(value="术语类型",required=true)
	@NotBlank(message="术语类型必传")
    private String type;

	/**
     * 术语明细
     */
	@ApiModelProperty(value="术语明细",required=true)
	@NotEmpty(message="术语明细不能为空")
	private List<AddConceptInfoDetailVO> detailList;
	
	/**
     * 性别：1:男, 2:女, 3:通用
     */
	@ApiModelProperty(value="性别：1:男, 2:女, 3:通用")
	@Range(min=1,max=3,message="性别须是1-3")
    private Integer sexType=3;

    /**
     * 症状发生的最小年龄
     */
	@ApiModelProperty(value="症状发生的最小年龄")
	@Range(min=0,max=200,message="年龄须是0-200")
    private Integer minAge=0;

    /**
     * 症状发生的最大年龄
     */
	@ApiModelProperty(value="症状发生的最大年龄")
	@Range(min=0,max=200,message="年龄须是0-200")
    private Integer maxAge=200;
	
	private Integer lineNum;
	
	

}
